summaryrefslogtreecommitdiffstats
path: root/system/gnome-commander/gnome-commander.SlackBuild
diff options
context:
space:
mode:
author Bogdan Tatarov <bogdan.tatarov@gmail.com>2010-05-13 01:00:48 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:48 +0200
commit645177981ad68d3830d6f2c105133ae3c0136735 (patch)
tree076f96fff4a1c0f74757bad89d853ea9fe9711fd /system/gnome-commander/gnome-commander.SlackBuild
parent9fa6a79645c5cf5c4caaa4d560872fc375e31d93 (diff)
downloadslackbuilds-645177981ad68d3830d6f2c105133ae3c0136735.tar.gz
slackbuilds-645177981ad68d3830d6f2c105133ae3c0136735.tar.xz
system/gnome-commander: Added to 13.0 repository
Diffstat (limited to 'system/gnome-commander/gnome-commander.SlackBuild')
-rw-r--r--system/gnome-commander/gnome-commander.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/system/gnome-commander/gnome-commander.SlackBuild b/system/gnome-commander/gnome-commander.SlackBuild
new file mode 100644
index 0000000000..73cc7639b5
--- /dev/null
+++ b/system/gnome-commander/gnome-commander.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+# Slackware build script for <gnome-commander>
+
+PRGNAM=gnome-commander
+VERSION=${VERSION:-1.2.8.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL README README.commits TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}